Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003196 [JEDI VCL] 00 JVCL Components minor always 2005-09-14 16:07 2005-09-23 17:22
Reporter remkobonte View Status public  
Assigned To remkobonte
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0003196: TJvCreateProcess: not all output sent
Description From the newsgroup:

I notice that about 10% of the time the process
terminates without all the output being sent. Usually it stops after the
first line. Running the executable at the command prompt doesn't exhibit
this problem.
Additional Information Borland C++Builder 5 Professional SP1
Windows XP Professional SP1
Dell Latitude C640
PIV 2GHz
512MB RAM
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0007933)
remkobonte (developer)
2005-09-15 17:27

Try removing the

    if Assigned(FReadThread) then
      TJvReadThread(FReadThread).TerminateThread;

lines in the ConsoleWaitThreadTerminated procedure of TJvCreateProcess.
(0007936)
ajayre (reporter)
2005-09-16 09:19

To do that I simply edit the .pas file in the run folder, uninstall JVCL using the uninstaller, then reinstall using the installer, right?
(0007946)
jfudickar (developer)
2005-09-20 01:44

No, only update the file in the run folder and then recompile your app.
(0007971)
remkobonte (developer)
2005-09-23 17:22

This is fixed in rev 1.29 of JvCreateProcess.pas

- Issue History
Date Modified Username Field Change
2005-09-14 16:07 remkobonte New Issue
2005-09-14 18:00 ajayre Issue Monitored: ajayre
2005-09-15 17:26 remkobonte Status new => assigned
2005-09-15 17:26 remkobonte Assigned To => remkobonte
2005-09-15 17:27 remkobonte Note Added: 0007933
2005-09-15 17:27 remkobonte Status assigned => feedback
2005-09-16 09:19 ajayre Note Added: 0007936
2005-09-20 01:44 jfudickar Note Added: 0007946
2005-09-23 17:22 remkobonte Status feedback => resolved
2005-09-23 17:22 remkobonte Resolution open => fixed
2005-09-23 17:22 remkobonte Note Added: 0007971


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker